/*
	David A. Roman
	RomanDA.org
	http://www.romanda.org
	Skins@RomanDA.org
*/

var visOn = false;
var isPLOpen = false;
var isEQOpen = false;
var isPLOpenTemp = false;
var isEQOpenTemp = false;
var PLHS = "Show"
var EQHS = "Hide"
var PLTimer = 0

function Init()
{
    view.timerInterval = 0;
    if(player.OpenState == osMediaOpen)
    {
        UpdateMetadata();
	UpdateMetaArtist();
    }

    isPLOpen = false;
    isEQOpen = false;


}

function OnOpenStateChange()
{
	UpdateMetadata();
	UpdateMetaArtist();
}

function OnPlayStateChange(){
 if (player.PlayState == psUndefined || player.PlayState == psPlaying){
	Play();}
	UpdateMetadata();
	UpdateMetaArtist();
}

function Play(){
	UpdateMetadata();
	UpdateMetaArtist();
	player.controls.play();
}



function OnClose()
{
    var temp = bigGoo.visible ? visBig : visSmall;
    mediacenter.effectType = temp.currentEffectType;
    mediacenter.effectPreset = temp.currentPreset;
}

function UpdateMetadata()
{
    metadata.value = "  ";
    metadata.value = player.currentmedia.name;
    metadata.value += "  ";
    metadata.scrolling = (metadata.textWidth>metadata.width);
}

function UpdateMetaArtist()
{

    metaartist.value = GetItemInfo(player.currentMedia, "artist");
    metaartist.scrolling = (metaartist.textWidth>metaartist.width);
}




function OnLoad() {
	// set view to previous saved state
    if (theme.loadPreference("EqualizerPanel") == "True")
		ToggleEqualizer();
    if (theme.loadPreference("PlaylistPanel") == "True")
        TogglePlaylist();
 	
}

function repeatClick() {
     if (player.Settings.getMode('loop')) {
          player.Settings.setMode('loop','false');
     } else {
          player.Settings.setMode('loop','true');
     }
}

function shuffleClick() {
     if (player.Settings.getMode('shuffle')) {
          player.Settings.setMode('shuffle','false');
     } else {
          player.Settings.setMode('shuffle','true');
     }
}

function checkSplineTension(){
	splineTensionBtn1.down = false;
	splineTensionBtn2.down = false;
	splineTensionBtn3.down = false;
	if(!eq.enableSplineTension){
		splineTensionBtn1.down = true
	}else if(eq.enableSplineTension && eq.splineTension==2 ){
		splineTensionBtn2.down = true;
	}else if(eq.enableSplineTension && eq.splineTension==10){
		splineTensionBtn3.down = true;
	}
}



function PlaySound(type){
	theme.playSound( type );
}

function GetItemInfo(obj, strType)
{
    var str;

    str = obj.getItemInfo(strType);

    return str;
}


function moveEQDrawer() {
	if (isPLOpen) {
		EQDrawer.moveTo(25,78,1000);
		PLDrawer.moveTo(25,78,1000);

		PLDrawer.visible = "false";
		EQDrawer.visible = "true";
		isPLOpenTemp = false;
		isEQOpenTemp = true;
		EQHS = "Hide"
		PLHS = "Show"

	} else {
		if (isEQOpen) {
			EQDrawer.visible = "true"
			PLDrawer.visible = "false"
			EQDrawer.moveTo(25,11,1000);
			PLDrawer.moveTo(25,11,1000);
			isPLOpenTemp = false;
			isEQOpenTemp = false;
			PLHS = "Hide"
			EQHS = "Show"

		} else {
			EQDrawer.visible = "true"
			PLDrawer.visible = "false"
			isPLOpenTemp = false;
			isEQOpenTemp = true;
			EQDrawer.moveTo(25,78,1000);
			PLDrawer.moveTo(25,78,1000);
			EQHS = "Hide"
			PLHS = "Show"

		}
	}
	isEQOpen = isEQOpenTemp;
	isPLOpen = isPLOpenTemp;
	EQOpenClose.upToolTip = EQHS + " EQ";
	EQOpenClose1.upToolTip = EQHS + " EQ";
	PLOpenClose.upToolTip = PLHS + " Playlist";
	PLOpenClose1.upToolTip = PLHS + " Playlist";

}




function movePLDrawer() {
	if (isEQOpen) {
          	PLDrawer.visible= "true";
		EQDrawer.visible = "false";
		PLDrawer.moveTo(25,96,1000);
		EQDrawer.moveTo(25,96,1000);
		isEQOpenTemp = false;
		isPLOpenTemp = true;
		PLHS = "Hide"
		EQHS = "Show"
		PlayList_ID.Visible = "true";


	} else {
		if (isPLOpen) {
		       	PlayList_ID.visible = "false";
			PLDrawer.visible = "true";
			EQDrawer.visible = "false";
			PLDrawer.moveTo(25,11,1000);
			EQDrawer.moveTo(25,11,1000);
			isPLOpenTemp = false;
			isEQOpenTemp = false;
			PLHS = "Show"
			EQHS = "Hide"

		} else {
			PLDrawer.visible = "true";
			EQDrawer.visible = "false";
			isEQOpenTemp = false;
			isPLOpenTemp = true;
			PLDrawer.moveTo(25,96,1000);
			EQDrawer.moveTo(25,96,1000);
			PLHS = "Hide"
			EQHS = "Show"
		}
	}
	isEQOpen = isEQOpenTemp;
	isPLOpen = isPLOpenTemp;
	EQOpenClose.upToolTip = EQHS + " EQ";
	EQOpenClose1.upToolTip = EQHS + " EQ";
	PLOpenClose.upToolTip = PLHS + " Playlist";
	PLOpenClose1.upToolTip = PLHS + " Playlist";
	PLTimer = 0;
}

function showPlaylist(){
 if (isPLOpen) {
	PlayList_ID.Visible = "true";
 } else {
	PlayList_ID.Visible = "false";
 }
}
